Menu

## Decoder
in package

Decoder.php : 26

The main class which implements QR Code decoding -- as opposed to locating and extracting the QR Code from an image.

##### Tags

author

  Sean Owen

### Table of Contents

$eccLevel : EccLevel|null
$maskPattern : MaskPattern|null
$version : Version|null
decode() : DecoderResult
  Decodes a QR Code represented as a BitMatrix.
decodeBitStream() : DecoderResult
  Decode the contents of that stream of bytes
decodeMatrix() : DecoderResult

### Properties

#### $eccLevel

Decoder.php : 29
`private EccLevel|null $eccLevel = null`

#### $maskPattern

Decoder.php : 30
`private MaskPattern|null $maskPattern = null`

#### $version

Decoder.php : 28
`private Version|null $version = null`

### Methods

#### decode()

Decoder.php : 38

Decodes a QR Code represented as a BitMatrix.

`public decode(LuminanceSourceInterface $source) : DecoderResult`

A 1 or "true" is taken to mean a black module.

##### Parameters

$source : LuminanceSourceInterface

##### Tags

throws
  Throwable|QRCodeDecoderException

##### Return values

DecoderResult —

#### decodeBitStream()

Decoder.php : 91

Decode the contents of that stream of bytes

`private decodeBitStream(BitBuffer $bitBuffer) : DecoderResult`

##### Parameters

$bitBuffer : BitBuffer

##### Tags

throws
  QRCodeDecoderException

##### Return values

DecoderResult —

#### decodeMatrix()

Decoder.php : 70
`private decodeMatrix(BitMatrix $matrix) : DecoderResult`

##### Parameters

$matrix : BitMatrix

##### Tags

throws
  QRCodeDecoderException

##### Return values

DecoderResult —

## Search results